This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

Meta.Microsoft.Help.Id
M:Tekla.Structures.Model.Operations.Operation.CreateBentPlateByFaces(Tekla.Structures.Model.Part,System.Collections.Generic.IList{Tekla.Structures.Geometry3d.Point},Tekla.Structures.Model.Part,System.Collections.Generic.IList{Tekla.Structures.Geometry3d.Point})

OperationCreateBentPlateByFaces Method (Part, IListPoint, Part, IListPoint)

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.1.0.0 (2019.1.0.0)
Syntax
public static BentPlate CreateBentPlateByFaces(
	Part part1,
	IList<Point> face1,
	Part part2,
	IList<Point> face2
)

Parameters

part1
Type: Tekla.Structures.ModelPart
The first part.
face1
Type: System.Collections.GenericIListPoint
The selected face on the first part.
part2
Type: Tekla.Structures.ModelPart
The second part.
face2
Type: System.Collections.GenericIListPoint
The selected face on the second part.

Return Value

Type: BentPlate
The bent plate object if successful, null otherwise.
See Also